using System;
using System.Collections.Generic;
using System.Text;

namespace Seenginx.Models
{
	public class ConfigFile
	{
		public string FullPath { get; set; }
		public string Folder { get; set; }
		public string Name { get; set; }
		public string DraftName { get; set; }
		public string Body { get; set; }
		public string DraftBody { get; set; }
		public string Permissions { get; set; }
		public DateTime LastUpdated { get; set; }
		public string[] Owners { get; set; }
		public string IsVisible { get; set; } = string.Empty;
		public string IsSelected { get; set; } = string.Empty;
		public bool HasDraft => !string.IsNullOrEmpty(DraftName);
		public bool CanBeDeleted { get; set; } = true;

		public void Hide() { IsVisible = "is-hidden"; }
		public void Unhide() { IsVisible = string.Empty; }
		public void Select() { IsSelected = "isSelected"; }
		public void Deselect() { IsSelected = string.Empty; }
	}
}
